<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Todd Riggins">
   <meta name="GENERATOR" content="Mozilla/4.61 [en] (Win98; I) [Netscape]">
   <title>EXOTICA: DEBUG HELP</title>
</head>
<body background="images/exotica_bg.gif" bgcolor="#000000" text="#ffffff">
<center>
<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="maroon"><font size=+2>
<a NAME="DEBUG"></a>EXOTICA: DEBUG HELP
</font></font></b></center></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="black">
Contents<p>
4 routines
<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_ddebug.html#REPORT_MODE">REPORT_MODE</A><br>
<A href="e_ddebug.html#FILE_REPORT">FILE_REPORT</A><br>
<A href="e_ddebug.html#ERROR_MESSAGE">ERROR_MESSAGE</A><br>
<A href="e_ddebug.html#ON_ERROR">ON_ERROR</A><br>
</font></b></td></tr>
</table>
</font></b></center></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="REPORT_MODE"></a><center><font color="Maroon">REPORT_MODE</font></center>
<hr WIDTH="100%">
C: void REPORT_MODE( LPSTR FileName, int Value )<br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(REPORT_MODE, { FileName, Value })<br>
<hr WIDTH="100%">
Description: Opens a given FileName file to write debug info to.
Value will except a value of 0 or 1. A value of 0, will not report what the Exotica dll
is doing, but it will report Exotica errors if one should occur. A value of 1, will
report what Exotica is doing throughout your program. You must use REPORT_MODE before
the EXOTICA_INIT routine is called if you plan on using the FILE_REPORT routine to help
debug your program.
<hr WIDTH="100%">
NOTE: REPORT_MODE is only meant to be called once in the program.
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="FILE_REPORT"></a><center><font color="Maroon">FILE_REPORT</font></center>
<hr WIDTH="100%">
C: void FILE_REPORT( char* string ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(FILE_REPORT,{ string }) <br>
<hr WIDTH="100%">
Description: FILE_REPORT writes a string to the FileName given in the REPORT_MODE routine. <br>
<hr WIDTH="100%">
C Example: <br>
&nbsp; FILE_REPORT(" TEXT HERE "); <p>
Euphoria Example: <br>
&nbsp; c_proc(FILE_REPORT,{allocate_string(" TEXT HERE ")}) <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="ERROR_MESSAGE"></a><center><font color="Maroon">ERROR_MESSAGE</font></center>
<hr WIDTH="100%">
C: void ERROR_MESSAGE( LPSTR string )<br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(ERROR_MESSAGE,{string})<br>
<hr WIDTH="100%">
Description: ERROR_MESSAGE displays a pop-up error message filled with your string.
If you have REPORT_MODE enabled, ERROR_MESSAGE will also write the string into the 'E_Report.txt' file. <br>
<hr WIDTH="100%">
C Example: <br>
&nbsp; ERROR_MESSAGE(" TEXT HERE "); <p>
Euphoria Example: <br>
&nbsp; c_proc(ERROR_MESSAGE,{allocate_string(" TEXT HERE ")}) <p>
<hr WIDTH="100%">
NOTE: it's a very good idea to exit the program cleanly after you catch an error.
If you don't, your program could produce undesirable results and keep displaying another
error message box after another. Exit to your shut-down-exit code immediatly after you catch
an error. Also, the ERROR_MESSAGE routine will set the ON_ERROR routine to return a value of 1.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="ON_ERROR"></a><center><font color="Maroon">ON_ERROR</font></center>
<hr WIDTH="100%">
C: void ON_ERROR( void )<p>
<hr WIDTH="100%">
Euphoria Function: c_func(ON_ERROR,{NULL})<p>
<hr WIDTH="100%">
Description: When Exotica catches an error or when you use the ERROR_MESSAGE routine, the ON_ERROR routine will automatically
be set to return a value of 1. It's set to return a value of 0 by default.  You can use this function to help you exit your program
cleanly. A good general place would be right before you call the SURFACE_FLIP function.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

</center>
</body>
</html>
